#pragma once

#include "CoreMinimal.h"
#include "OnEventBaseAddon.h"
#include "DataDrivenStatusEffectInfo.h"
#include "ImposeStatusEffectOnEventAddon.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class DBDCOMPETENCE_API UImposeStatusEffectOnEventAddon : public UOnEventBaseAddon
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _requireEventInstigatorToMatchAddonOwnerToImposeStatusEffects;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _requireEventTargetToMatchAddonOwnerToImposeStatusEffects;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<FDataDrivenStatusEffectInfo> _statusEffectsToImposeOnEvent;

public:
	UImposeStatusEffectOnEventAddon();
};

FORCEINLINE uint32 GetTypeHash(const UImposeStatusEffectOnEventAddon) { return 0; }
